#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

int	glob = 6;		/* external variable in initialized data */

int
main(void)
{
	int	var;		/* automatic variable on the stack */
	pid_t	pid;

	var = 88;
	
	printf("Start: before fork\n");
	printf("pid = %d, glob = %d, var = %d\n\n", getpid(), glob, var);

	if ((pid = fork()) < 0) {
		perror("fork error");
	} else if (pid == 0) {		/* child */
		glob++;					/* modify variables */
		var++;
	} else {
		sleep(2);				/* parent */
	}

	printf("After fork\n");
	printf("pid = %d, glob = %d, var = %d\n", getpid(), glob, var);
	exit(0);
}
